| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::NameGenerator Class Reference
Core » General

Utility class to generate a sequentially numbered series of names. More...

`#include <OgreNameGenerator.h>`

## Public Member Functions
| NameGenerator (const NameGenerator &rhs)
| NameGenerator (const String &prefix)
String | generate ()
| Generate a new name. More...
unsigned long long int | getNext () const
| Get the internal counter. More...
void | reset ()
| Reset the internal counter. More...
void | setNext (unsigned long long int val)
| Manually set the internal counter (use caution) More...

## Detailed Description

Utility class to generate a sequentially numbered series of names.

## Constructor & Destructor Documentation

## ◆ NameGenerator() [1/2]

Ogre::NameGenerator::NameGenerator | ( | const NameGenerator & | rhs | ) |
| inline

## ◆ NameGenerator() [2/2]

Ogre::NameGenerator::NameGenerator | ( | const String & | prefix | ) |
| inline

## Member Function Documentation

## ◆ generate()

String Ogre::NameGenerator::generate | ( |  | ) |
| inline

Generate a new name.

References OGRE_LOCK_AUTO_MUTEX.

## ◆ reset()

void Ogre::NameGenerator::reset | ( | void |  | ) |
| inline

Reset the internal counter.

References OGRE_LOCK_AUTO_MUTEX.

## ◆ setNext()

void Ogre::NameGenerator::setNext | ( | unsigned long long int | val | ) |
| inline

Manually set the internal counter (use caution)

References OGRE_LOCK_AUTO_MUTEX.

## ◆ getNext()

unsigned long long int Ogre::NameGenerator::getNext | ( |  | ) | const
| inline

Get the internal counter.

References OGRE_LOCK_AUTO_MUTEX.

The documentation for this class was generated from the following file:

- OgreNameGenerator.h